cURL
curl --request GET \
--url https://api.unifygtm.com/data/v1/objects/{object_name}/query-jobs \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/data/v1/objects/{object_name}/query-jobs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/data/v1/objects/{object_name}/query-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"job_id": "<string>",
"status": "IN_PROGRESS",
"total_rows": 123,
"error_code": "INTERNAL_ERROR",
"created_at": "<string>",
"expires_at": "<string>",
"canceled_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Query records
List jobs
List all record query jobs.
GET
/
data
/
v1
/
objects
/
{object_name}
/
query-jobs
cURL
Authorizations
Path Parameters
The API name of an object, e.g. company, person, opportunity, or a
custom object's API name.
Query Parameters
Opaque cursor returned by the previous page.
Required range:
1 <= x <= 100Filter jobs by status. Status of an asynchronous query job.
Available options:
IN_PROGRESS, FINISHED, FAILED, EXPIRED, CANCELED ⌘I